# IAX2IeIaxUnknown Class Reference

`#include <ies.h>`

Inheritance diagram for IAX2IeIaxUnknown:

List of all members.

## Public Member Functions

| IAX2IeIaxUnknown (BYTE length, BYTE *srcData)
| IAX2IeIaxUnknown (BYTE newValue)
void | PrintOn (ostream &str) const
virtual BYTE | GetKeyValue () const
virtual void | StoreDataIn (IAX2IeData &res)

## Detailed Description

An Information Element that contains an unknown IAX command

## Constructor & Destructor Documentation

IAX2IeIaxUnknown::IAX2IeIaxUnknown | ( | BYTE | length,
|  | BYTE * | srcData |
| ) |  |  | `[inline]`

Constructor from data read from the network.

Contents are undefined if the network data is bogus/invalid

IAX2IeIaxUnknown::IAX2IeIaxUnknown | ( | BYTE | newValue | ) | `[inline]`

Constructor when sending an unknown message

## Member Function Documentation

void IAX2IeIaxUnknown::PrintOn | ( | ostream & | str | ) | const

print this class (nicely) to the designated stream

Reimplemented from IAX2IeByte.

virtual BYTE IAX2IeIaxUnknown::GetKeyValue | ( |  | ) | const`[inline, virtual]`

Get the key value for this particular Information Element class

Reimplemented from IAX2Ie.

virtual void IAX2IeIaxUnknown::StoreDataIn | ( | IAX2IeData & | res | ) | `[inline, virtual]`

Take the data from this IAX2Ie, and copy it into the IAX2IeData structure. This is done on processing an incoming frame which contains IAX2Ie in the data section.

Reimplemented from IAX2Ie.

The documentation for this class was generated from the following file:

- ies.h